<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular ScrollView Component

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * To use this package, you must install a license key file, whether you are on a paid license or a 30-day free trial. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or start a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * Adding a valid license key file ensures a seamless experience during the trial period&mdash;no watermarks, no warnings, and full access to all components and features.
> * Trial users can register for a free license key file. Without it, your trial may be interrupted by visual indicators or functionality limitations.
> * Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!
> * Learn more: https://www.telerik.com/kendo-angular-ui/components/licensing
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

## Angular ScrollView Component

The [Kendo UI for Angular ScrollView](https://www.telerik.com/kendo-angular-ui/components/scrollview) component represents a horizontal collection of content or image views with built-in navigation tools, automatic scrolling and visual indicators to help users keep track of their location in the collection at any time.

## Key Features

Among the many features which the Kendo UI for Angular ScrollView delivers are:

* [Animations](https://www.telerik.com/kendo-angular-ui/components/scrollview/animations)&mdash;The ScrollView allows you to enable or disable its built-in animations, which are enabled by default.
* [Arrows](https://www.telerik.com/kendo-angular-ui/components/scrollview/arrows)&mdash;Allows controlling the behavior of the built-in navigation arrows of the ScrollView, which are disabled by default.
* [Paging](https://www.telerik.com/kendo-angular-ui/components/scrollview/paging)&mdash;Provides options for enabling or disabling its built-in paging functionality as well as for adding a pager overlay.
* [Endless Scrolling](https://www.telerik.com/kendo-angular-ui/components/scrollview/endless-scrolling)&mdash;You can enable the endless scrolling mode which loops through its views in an endless fashion and is disabled by default. 
* [Dimensions](https://www.telerik.com/kendo-angular-ui/components/scrollview/dimensions)&mdash;Enables customizing the dimensions of the ScrollView by defining its width and height.
* [Data Sources](https://www.telerik.com/kendo-angular-ui/components/scrollview/data-sources)&mdash;You can set a data source for the ScrollView to provide it with data.
* [Active Items](https://www.telerik.com/kendo-angular-ui/components/scrollview/active-items)&mdash;Allows rendering an active item in the ScrollView by using the available configuration of the component.
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/scrollview/globalization)&mdash;By using the available globalization options in Kendo UI for Angular, you can translate the ScrollView messages by adapting them to specific culture locales. Additionally, the ScrollView supports rendering in a right-to-left (RTL) direction.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/scrollview/accessibility)&mdash;The ScrollView is accessible for screen readers and supports WAI-ARIA attributes.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/scrollview/keyboard-navigation)&mdash;The ScrollView supports a number of keyboard shortcuts which allow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular ScrollView, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular ScrollView](https://www.telerik.com/kendo-angular-ui/components/scrollview/installation/getting-started)
* [ScrollView Overview page](https://www.telerik.com/kendo-angular-ui/components/scrollview) and [ScrollView API reference](https://www.telerik.com/kendo-angular-ui/components/scrollview/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
