/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the arguments for the `itemChanged` event.
 *
 * The `itemChanged` event fires when the current item in the ScrollView changes.
 */
export interface ItemChangedEvent {
    /**
     * Specifies the changed item.
     */
    item: any;
    /**
     * Specifies the index of the changed item.
     */
    index: number;
}
