/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { CustomMessagesComponent } from "./localization/custom-messages.component";
import { ScrollViewComponent } from "./scrollview.component";
/**
 * Use the `KENDO_SCROLLVIEW` utility array to access all `@progress/kendo-angular-scrollview` related components and directives in a standalone Angular component.
 *
 * @example
 * ```typescript
 * import { Component } from '@angular/core';
 * import { KENDO_SCROLLVIEW } from '@progress/kendo-angular-scrollview';
 *
 * @Component({
 *   standalone: true,
 *   imports: [KENDO_SCROLLVIEW],
 *   template: `<kendo-scrollview [data]="items"></kendo-scrollview>`
 * })
 * export class AppComponent {
 *   public items = [
 *     { title: 'Flower' },
 *     { title: 'Mountain' },
 *     { title: 'Sky' }
 *   ];
 * }
 * ```
 */
export const KENDO_SCROLLVIEW = [
    ScrollViewComponent,
    CustomMessagesComponent
];
