/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { ScrollViewMessages } from './messages';
import * as i0 from "@angular/core";
/**
 * Represents the custom messages component of the ScrollView.
 *
 * Use this component to override default messages for the ScrollView
 * ([see example](slug:rtl_scrollview#toc-custom-messages)).
 *
 * @example
 * ```html
 * <kendo-scrollview [data]="items" [width]="width" [height]="height">
 *    <kendo-scrollview-messages pagerButtonLabel="This is item number {itemIndex}">
 *    </kendo-scrollview-messages>
 * </kendo-scrollview>
 * ```
 */
export declare class CustomMessagesComponent extends ScrollViewMessages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomMessagesComponent, "kendo-scrollview-messages", never, {}, {}, never, never, true, never>;
}
