/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ScrollViewMessages extends ComponentMessages {
    /**
     * Sets the label for the buttons in the ScrollView pager. The default label pattern is `'Item {itemIndex}'`.
     * When the current item is 1, the default label is `'Item 1'`.
     */
    pagerButtonLabel: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollViewMessages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ScrollViewMessages, "kendo-scrollview-messages-base", never, { "pagerButtonLabel": { "alias": "pagerButtonLabel"; "required": false; }; }, {}, never, never, false, never>;
}
